{% extends 'index.html' %}
{% load l10n %}
{% load static %}

{% block html_classes %}html_critrerion-form{% endblock %}
{% block title %}Критерий подбора{% endblock title %}
{% block base %}
  <div id="ppk-add" class="critrerion-form" v-cloak>
    <div class="section section_default">
      <div class="section__content">
        <div class="section__header ta_center">
          <h1 class="section__title">Критерий подбора</h1>
        </div>
        <div class="section__body">
          <form class="form form_default" action="" method="post">
            {% include 'order/criterion_base_form.html' %}
            <div class="form__item">
              <button class="btn btn_m btn_primary btn_block" @click="validateBeforeSubmit();">
                <div class="btn__grid">
                  <div class="btn__title">Сохранить</div>
                </div>
              </button>
            </div>
          </form>
          {% if messages %} {{ messages.0 }} {% endif %}
          {% if messages %}
            {% for message in messages %}
              {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR  %}
                <div class="msg p_content msg_error ta_center">
                  <div class="box box_card">
                    <h3 class="mb_s">Проблемы при отправке формы</h3>
                    <p>Попробуйте позже или перезвоните нам</p>
                    <h3 class="mt_s">+7 (777) 777-77-77</h3>
                    <a class="btn btn_default btn_m mt_l btn_inline" href="{% url 'lk:ppk_list' form.order.value %}" style="cursor: pointer;">
                      <div class="btn__title">Вернуться на сайт</div>
                    </a>
                  </div>
                </div>
              {% elif message.level == DEFAULT_MESSAGE_LEVELS.SUCCESS %}
                <div class="msg p_content msg_success ta_center">
                  <div class="box box_card">
                    <h3 class="mb_s">Заявка отправлена</h3>
                    <p>Мы свяжемся с вами в ближайшее время</p>
                    <a class="btn btn_default btn_m mt_l btn_inline" href="{% url 'lk:ppk_list' form.order.value %}" style="cursor: pointer;">
                      <div class="btn__title">Вернуться на сайт</div>
                    </a>
                  </div>
                </div>
              {% endif %}
            {% endfor %}
          {% endif %}
        </div>
      </div>
    </div>
  </div>
  <script>
    $(document).ready(function () {
        $('select').select2({});
    });
  </script>
{% endblock %}

{% block script %}
  <script>
    var years = {{ years|safe }};
    var year0 = {{ form.year_auto.value.0|default_if_none:0 }};
    var year1 = {{ form.year_auto.value.1|default_if_none:0 }};
    var engineCapacities = {{ engine_capacities|safe }};
    var engineCapacity0 = {{ form.engine_capacity.value.0|default_if_none:-1|unlocalize }};
    var engineCapacity1 = {{ form.engine_capacity.value.1|default_if_none:-1|unlocalize }};
    var horsepower = {{ horsepower|safe }};
    var horsepower0 = {{ form.horsepower.value.0|default_if_none:-1|default:-1 }};
    var horsepower1 = {{ form.horsepower.value.1|default_if_none:-1|default:-1 }};
  </script>
  <script src="{% static 'assets/js/auto/loader.js' %}"></script>
  <script src="{% static 'js/ppkadd.bundle.js' %}"></script>
{% endblock %}